Fetch test config
Fetch a Supabase-backed v1 test config by id.
GET
/v1/projects/{projectId}/test-configs/{testConfigId}Authorization
AuthorizationPersonal API key · headerrequiredYour personal API key from Settings > Personal API Keys, sent as Bearer <key>.
X-Organization-IdOrganization ID · headerrequiredThe organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.
Path parameters
projectIdstringrequiredtestConfigIdstringrequiredResponses
200
Response for status 200
test_configobjectrequiredShow propertiesHide properties
idstringrequiredorganization_idstringproject_idstringrequireddataset_idstringrequirednamestringrequireddescriptionstring | nullShow propertiesHide properties
Any of:
string
stringnull
nullcreated_atstringupdated_atstringuser_idstringrequiredjudgesobject[]Show propertiesHide properties
Array of
objectidstringorganization_idstringproject_idstringtest_config_idstringjudge_idstringrequiredcreated_atstringuser_idstringrequiredjudgeobjectShow propertiesHide properties
idstringrequirednamestringrequiredjudge_typestringrequiredscore_typestringrequired404
Response for status 404
errorstringrequiredmessagestringcodestringdetailsstring[]